Package ru.bitel.bgbilling.plugins.cashcheck.common

# Enum Printer.FiscalizatorType

java.lang.Object
java.lang.Enum<Printer.FiscalizatorType>
ru.bitel.bgbilling.plugins.cashcheck.common.Printer.FiscalizatorType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Printer.FiscalizatorType>`, `java.lang.constant.Constable`

Enclosing class:
  Printer

    public static enum Printer.FiscalizatorType
    extends java.lang.Enum<Printer.FiscalizatorType>

доступные типы фискализаторов

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `atolonlinev4` |
  `cashcheckserver` |
  `dyncode` |
  `empty` |
  `fermaofdru` |
  `komtet` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Printer.FiscalizatorType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Printer.FiscalizatorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### cashcheckserver

    public static final Printer.FiscalizatorType cashcheckserver

  - ### empty

    public static final Printer.FiscalizatorType empty

  - ### atolonlinev4

    public static final Printer.FiscalizatorType atolonlinev4

  - ### dyncode

    public static final Printer.FiscalizatorType dyncode

  - ### fermaofdru

    public static final Printer.FiscalizatorType fermaofdru

  - ### komtet

    public static final Printer.FiscalizatorType komtet

- ## Method Details

  - ### values

    public static Printer.FiscalizatorType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Printer.FiscalizatorType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null